# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Jul 25 13:13:59 2023
# ------------------------------------------------

package:
  name: cython
  version: 0.29.36
source:
  sha256: 41c0cfd2d754e383c9eeb95effc9aa4ab847d0c9747077ddd7c0dcb68c3bc01f
  url: https://pypi.io/packages/source/c/cython/Cython-0.29.36.tar.gz
build:
  entry_points:
    - cygdb = Cython.Debugger.Cygdb:main
    - cython = Cython.Compiler.Main:setuptools_main
    - cythonize = Cython.Build.Cythonize:main
  number: '0'
  script: /croot/cython_1690290845907/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . --no-deps --no-build-isolation --ignore-installed --no-cache-dir
    -vv
  string: py310h5eee18b_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.05.30 h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.9 h7f8727e_0
    - pip 23.1.2 py310h06a4308_0
    - python 3.10.12 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - setuptools 67.8.0 py310h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py310h06a4308_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - libgcc-ng >=11.2.0
    - python >=3.10,<3.11.0a0
test:
  commands:
    - pip check
    - cython --version
    - cython --help
    - cythonize --help
    - cygdb --help
  files:
    - fib.pyx
  requires:
    - pip
about:
  description: 'Cython is an optimising static compiler for both the Python programming

    language and the extended Cython programming language. It makes writing C

    extensions for Python as easy as Python itself.

    '
  dev_url: https://github.com/cython/cython
  doc_url: https://cython.readthedocs.io/
  home: https://cython.org/
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: The Cython compiler for writing C extensions for the Python language
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 3516943f-d9d7-42a6-aa0f-20f3b9203685
  recipe-maintainers:
    - cbouss
  remote_url: git@github.com:AnacondaRecipes/cython-feedstock.git
  sha: bcbe0eb852683d10e6f44db6564811536e5ea0d3
